libbiojava1.7-java_1.7.1-8_all.deb


Advertisement

Description

libbiojava1.7-java - Java API to biological data and applications (version 1.7)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package name libbiojava1.7-java
Package version 1.7.1
Package release 8
Package architecture all
Package type deb
Installed size 3.51 KB
Download size 3.12 MB
Official Mirror ftp.br.debian.org
This package presents the Open Source Java API to biological databases
and a series of mostly sequence-based algorithms. The APIs are not
compatible between versions. In analogy to the dealing with shared
libraries of the C language, the jar file of this package has the
API version in its name. It is symbolically linked to the expected
biojava.jar filename in the package libbiojava-java. This will help
keeping multiple versions of the biojava API in parallel.

Alternatives

Package Version Architecture Repository
libbiojava1.7-java_1.7.1-8_all.deb 1.7.1 all Debian Main
libbiojava1.7-java - - -

Requires

Name Value
libbytecode java
libcommons-collections3 java
libcommons-dbcp java
libcommons-pool java
libhsqldb java

Conflicts

Name Value
libbiojava1.6-java -

Replaces

Name Value
libbiojava1.6-java -

Download

Type URL
Binary Package libbiojava1.7-java_1.7.1-8_all.deb
Source Package biojava-live

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libbiojava1.7-java deb package:
    # sudo apt-get install libbiojava1.7-java

Files

Path
/usr/share/doc/libbiojava1.7-java/README.Debian
/usr/share/doc/libbiojava1.7-java/changelog.Debian.gz
/usr/share/doc/libbiojava1.7-java/copyright
/usr/share/java/biojava1.7.1.jar
/usr/share/java/biojava1.7.jar

Changelog

2018-11-01 - Andreas Tille <tille@debian.org>
biojava-live (1:1.7.1-8) unstable; urgency=medium
* Point Vcs fields to salsa.debian.org
* Standards-Version: 4.2.1
* Remove trailing whitespace in debian/changelog
* Remove trailing whitespace in debian/rules
* Set release to 8 since CORBA classes are removed in Java 11, and no
replacement available in Debian (Closes: #912643)
2018-01-23 - Andreas Tille <tille@debian.org>
biojava-live (1:1.7.1-7) unstable; urgency=medium
* Remove leftover of debhelper migration from d/rules
Closes: #870060
* debhelper 11
* Standards-Version: 4.1.3
2017-09-26 - Andreas Tille <tille@debian.org>
biojava-live (1:1.7.1-6) unstable; urgency=medium
* Moved packaging to Git
* cme fix dpkg-control
* Replace cdbs variables by those provided by /usr/share/dpkg/default.mk
* d/rules: use dh
* Move debian/upstream to debian/upstream/metadata
* DEP5 issues
* debhelper 10
* make build reproducible
Closes: #859958
2014-05-20 - Olivier Sallou <osallou@debian.org>
biojava-live (1:1.7.1-5) unstable; urgency=medium
* d/control: use libcommons-collections3 instead of
libcommons-collection in runtime deps (Closes: #748473).
2014-01-31 - Olivier Sallou <osallou@debian.org>
biojava-live (1:1.7.1-4) unstable; urgency=low
[ Andreas Tille ]
* debian/upstream:
- Author conform to BibTeX syntax
- Add eprint
[ Olivier Sallou ]
* Fix watch file to follow biojava v1, not v3
2013-09-10 - Olivier Sallou <osallou@debian.org>
biojava-live (1:1.7.1-3) unstable; urgency=low
* Use libcommons-collections3-java instead of libcommons-collections-java
2012-04-18 - Andreas Tille <tille@debian.org>
biojava-live (1:1.7.1-2) unstable; urgency=low
[ Jari Aalto ]
* Remove quilt and upgrade to packaging format "3.0 quilt" which
includes patch management built-in.
* Update buildxml.patch to DEP-3 and run "quilt refresh" to make it
apply cleanly.
* Update to Standards-Version to 3.9.3 (no changes needed) and debhelper 9.
* Update obsolete depends default-jdk-builddep to default-jdk.
Closes: #669122
* Fix wrong-section-according-to-package-name (Lintian) by changing
section from science to java.
* Fix needless-dependency-on-jre (Lintian) by removing jre dependencies.
* Fix duplicate-short-description (Lintian).
* Fix extended-description-is-probably-too-short (Lintian).
[ Andreas Tille ]
* debian/control:
- Short-Desc: Java 1.7 API is missleading regarding JDK version - rather
add the version at the end and declare the version-less metapackage as
default version
- Dropped default-jre-headless from Depends according to Java policy
- Fixed Vcs fields
* debian/watch: enable detecting new versions
* debian/{control,upstream}: Moved citations from long description to
upstream file
* libbiojava*.lintian: removed because now useless
* debian/compat: 9
* debian/copyright: Rewritten to be compliant with DEP5 and verified
using `cme fix dpkg-copyright`
* debian/rules: s/dh_clean -k/dh_prep/
2010-01-20 - Steffen Moeller <moeller@debian.org>
biojava-live (1:1.7.1-1) unstable; urgency=low
* New upstream version.
* New epoch
- because of an unfortunate versioning of previous upload
- to indicate the now happening BioJava Hackathon in Cambridge, UK
2009-06-26 - Andreas Tille <tille@debian.org>
biojava-live (1.7.svn.20090419-3) unstable; urgency=low
* debian/control:
- Conflicts: libbiojava1.6-java
- Replaces: libbiojava1.6-java
- Enhanced long description of libbiojava-java-doc
Closes: #522269
* debian/rules: set JAVA_HOME to enable proper clean target
2009-06-22 - Andreas Tille <tille@debian.org>
biojava-live (1.7.svn.20090419-2) unstable; urgency=low
* Add Build Depends: ant-optional
Closes: #533896
* Standards-Version: 3.8.2 (no changes needed)

See Also

Package Description
libbiojava4-java-doc_4.2.12+dfsg-2_all.deb [Biology] Documentation for BioJava
libbiojava4-java_4.2.12+dfsg-2_all.deb Java API to biological data and applications (default version)
libbiojava4.0-java_4.2.12+dfsg-2_all.deb Java API to biological data and applications (version 4)
libbiometric-dev_0.9.61-2_amd64.deb Biometric Identification DRIVER API - development files
libbiometric0_0.9.61-2_amd64.deb Biometric Identification library
libbioparser-dev_1.2.1-1_all.deb library for parsing several formats in bioinformatics
libbiosig-dev_1.9.3-2_amd64.deb I/O library for biomedical data - development files
libbiosig2_1.9.3-2_amd64.deb I/O library for biomedical data - dynamic library
libbison-dev_3.3.2.dfsg-1_amd64.deb YACC-compatible parser generator - development library
libbit-vector-minimal-perl_1.3-5_all.deb object-oriented wrapper around vec()
libbit-vector-perl_7.4-1+b5_amd64.deb Perl module for bit vectors and more
libbitmask-dev_2.0-3_amd64.deb header files and docs for libbitmask
libbitmask1_2.0-3_amd64.deb supports multi-word bitmask operations
libbitstream-dev_1.5-1_all.deb C headers giving access to binary streams like MPEG or DVB
libbitstring-ocaml-dev_2.0.4-2+b2_amd64.deb Erlang-style bitstrings for OCaml (development files)
Advertisement
Advertisement